Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	Theora is an open video codec
Name:		libtheora
Version:	1.1.1
Release:	2
License:	BSD
URL:		http://www.theora.org
Group:		Multimedia/Video
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Obsoletes:	libtheora-1.0

BuildRequires: libvorbis-devel
BuildRequires: SDL-devel
BuildRequires: doxygen
BuildRequires: libpng-devel
BuildRequires: zlib-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libogg-devel
BuildRequires: pkg-config

%description
Theora is an open video codec being developed by the Xiph.org Foundation as part of their Ogg project (It is a project that aims to integrate On2's VP3 video codec, Ogg Vorbis audio codec and Ogg multimedia container formats into a multimedia solution that can compete with MPEG-4 format).

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libtheora-1.0-devel

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
%configure \
--enable-encode \
--enable-shared \
--disable-dependency-tracking
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libtheora.so.*
%{_libdir}/libtheoradec.so.*
%{_libdir}/libtheoraenc.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/theora/
%{_libdir}/libtheora.a
%{_libdir}/libtheora.so
%{_libdir}/libtheora.la
%{_libdir}/libtheoradec.a
%{_libdir}/libtheoradec.so
%{_libdir}/libtheoradec.la
%{_libdir}/libtheoraenc.a
%{_libdir}/libtheoraenc.so
%{_libdir}/libtheoraenc.la
%{_pkgconfig}/theora.pc
%{_pkgconfig}/theoradec.pc
%{_pkgconfig}/theoraenc.pc
%{_datadir}/doc/libtheora-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-2
- rebuilt
* Thu Feb 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- Version update
* Wed Sep 30 2009 Christian Wasem <wasem@ccux-linux.de> 1.1.0-2
- rebuilt against libogg, removed rpm-epoch flag
* Sat Sep 26 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:1.1.0-1
- Version update
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> beta2-1
- Version Update
* Wed Apr 18 2007 Stefan Gottwald <gotti@ccux-linux.de> alpha7-1
- Version Update
* Tue Jan 17 2006 Christian Wasem <wasem@ccux-linux.de> alpha5-1
- Update to Version alpha5, moved more files to devel package
* Fri Jun 17 2005 Christian Metzen <metzench@ccux-linux.de> alpha4-2
- Tweaked specfile, moved static files to devel package
* Thu Jun 16 2005 Stefan Gottwald <gotti@ccux-linux.de> alpha4-1
- Update to alpha4
* Thu Oct 21 2004 Christian Wasem <wasem@ccux-linux.de> alpha3-1
- Initial Release
